<IfModule mod_ssl.c>
  <VirtualHost _default_:3443>
    ServerAdmin webmaster@localhost
    ServerName DOMAIN

    DocumentRoot /var/www/html

    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

    SSLEngine on

    SSLCertificateFile	/etc/ssl/certs/ssl-cert-snakeoil.pem
    SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key

    <FilesMatch "\.(cgi|shtml|phtml|php)$">
        SSLOptions +StdEnvVars
    </FilesMatch>

    <Directory /usr/lib/cgi-bin>
        SSLOptions +StdEnvVars
    </Directory>

    <Directory /var/www/html>
      Options Indexes FollowSymlinks
      AllowOverride All
      Require all granted
    </Directory>

    # API specific configuration
    <Directory /var/www/html/api>
      Options -Indexes +FollowSymlinks
      AllowOverride All
      Require all granted
    </Directory>
  </VirtualHost>
</IfModule>
